API URL
POST /api/v2/order/infoRequest
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| pid | integer(int64) | Y | Project id |
| nonce | string | Y | 6 random string |
| timestamp | integer(int64) | Y | Timestamp |
| sign | string | Y | Signature |
| cregis_id | string | Y | Cregis unique id |
Request Example
{
"cregis_id": "po20240703132452000",
"pid": 1382528827416576,
"nonce": "hwlkk6",
"timestamp": 1688004243314,
"sign": "d6eef2de79e39f434a38efb910213ba6"
}
Response
Response Result
| Name | Type | Description |
|---|---|---|
| code | string | Return code |
| msg | string | Return message |
| data | object | Return data |
Response data Object
| Name | Type | Description |
|---|---|---|
| cregis_id | string | Cregis unique id |
| order_id | string | used by the merchant to assign their own internal order ID to a payment |
| order_amount | string | Order amount |
| order_currency | string | Order currency code |
| created_time | integer(int64) | Order creation time in 13-digit unix timestamp format e.g. 1720508269092 (2024-07-09 14:57:49 092) |
| cancel_time | integer(int64) | Order cancellation time in 13-digit unix timestamp format e.g. 1720508269092 i.e. 2024-07-09 14:57:49 092 |
| transact_time | integer(int64) | Order completion time in 13-digit unix timestamp format e.g. 1720508269092 i.e. 2024-07-09 14:57:49 092 |
| valid_time | integer(int32) | Unit: Minutes (Integer value from 10 to 60) The valid time for this order. If the valid time is expired, the payment will not be accepted. |
| status | string | Order Status: new - Initial status of the order paid - The order has been successfully paid expired - The order has exceeded the valid time paid_over - Payment exceeds the order amount paid_partial - Payment is less than the order amount |
| refund_requested | string | Whether a refund has been requested to the order no: no refund request record yes: a refund is requested |
| payer_id | string | Merchant to assign their own internal user ID to associate with a payment |
| payer_name | string | Payer’s name |
| payer_email | string | Payer’s email |
| remark | string | For the merchant to make remarks about a payment |
| payment_detail | ArrayObject | Payment History |
| payment_info | ArrayObject | Information to request payment |
| order_details | Object | The breakdown details of an order, each item will be displayed on the Cregis checkout page |
| settlement_status | string | Settlement status: unsettled : settlement not processed yet settling : settlement processing settled : settlement completed |
| settlement_type | string | Settlement type: system : settlement is handled automatically manual •: settlement is handled manually |
| sub_merchant | Object | If the merchant has a sub merchant assigned under this acquiring project, it can be used by the merchant to assign their own internal sub merchant ID to associate with a payment |
| refund_data | object | Refund related information |
| Name | Type | Description |
|---|---|---|
| shopping_cost | decimal | Shipping cost of the order |
| tax_cost | decimal | Tax amount of the order |
| items | ArrayObject | The breakdown details of each item in the order |
| Name | Type | Description |
|---|---|---|
| item_id | string | The unique identifier of the item |
| item_name | string | Item name |
| item_price | decimal | Item unit price |
| price_currency | string | Item currency |
| item_quantity | integer(int64) | Item quantity |
| Name | Type | Description |
|---|---|---|
| sub_merchant_id | string | ID of sub merchant |
| sub_merchant_name | string | Name of sub merchant |
| Name | Type | Description |
|---|---|---|
| payment_address | string | Payment wallet address (Pay to address) |
| from_address | string | Payer wallet address |
| receive_amount | string | Converted order amount |
| receive_currency | string | Converted order currency |
| pay_amount | string | Actual received amount |
| pay_currency | string | Received currency |
| exchange_rate | string | Exchange rate |
| tx_id | string | Transaction hash |
| blockchain | string | blockchain |
| token_name | string | token_name |
| Name | Type | Description |
|---|---|---|
| payment_address | string | Wallet address that receives payment |
| token_symbol | string | Currency. Can refer to the parameter of tokens in order creation |
| blockchain | string | Blockchain network |
| token_name | string | crypto token name |
| logo_url | string | crypto token logo |
| token_decimals | integer | crypto token decimal places |
| receive_amount | string | Converted order amount |
| receive_currency | string | Converted order currency |
| exchange_rate | string | Currency exchange rate |
| asset_logo | string | crypto asset logo |
| Name | Type | Required | Description |
|---|---|---|---|
| refund_id | integer(int64) | Unique identifier of a refund generated by Cregis | |
| cregis_id | string | Unique identifier of a payment generated by Cregis | |
| reference_id | string | used by the merchant to assign their own internal order ID to a payment | |
| recipient_id | string | Merchant to assign their own internal user ID to associate with a refund | |
| recipient_name | string | Refund receiver’s name | |
| recipient_email | string | Refund receiver’s email | |
| recipient_address | string | Refund receiving address | |
| token | string | Refund currenccy:USDT-BEP20,USDT-TRC20 | |
| network | string | Refund payment network/blockchain | |
| refund_amount | string | Refund amount | |
| refund_fee | string | Refund handling fee that’s paid by receiver | |
| actual_refund_amount | string | The actual refund amount after the gas fee deduction | |
| type | int | Refund type 0: partial refund 1: full refund | |
| refund_status | int | Refund status 0: refund in progress 1: refund successful 2: refund failed | |
| refund_tx_id | string | Refund transaction hash | |
| refund_created_time | string | Refund request creation timestamp e.g. 1720508269092 means 2024-07-09 14:57:49 092 | |
| refund_transact_time | string | Refund request transaction time e.g. 1720508269092 即 2024-07-09 14:57:49 092 |
Response Example
{
"code": "00000",
"msg": "ok",
"data": {
"cregis_id": "po1420761885130752",
"order_id": "merchant_order_id_123",
"order_amount": "5",
"order_currency": "HKD",
"created_time": 1734328473070,
"cancel_time": null,
"transact_time": 1734328473872,
"valid_time": 60,
"status": "paid",
"payer_id": "payer001",
"payer_name": "payer",
"payer_email": "[email protected]",
"remark": "remark",
"payment_detail": [
{
"payment_address": "TUX9zGoPFVXd6RC7pg18nfVLATeN9vgBeX",
"from_address": "THMxY6QeMYqACWs8fiL4VGBz2ZJRp4mDhT",
"receive_amount": "10.00",
"receive_currency": "USDT",
"pay_amount": "10",
"pay_currency": "USDT",
"exchange_rate": "1",
"tx_id": "d51bc829da5ad05c14f8f0a6ae16708129e485346ad91b8d5f2d33e490b91815",
"blockchain": "TRON",
"token_name": "USDT-TRC20"
}
],
"payment_info": [
{
"payment_address": "0xf9d70ab23195cfc9c0c14b384a1fd3a3f12cd4f8",
"token_symbol": "USDT",
"blockchain": "BNB-BSC",
"token_name": "USDT-BEP20",
"logo_url": "https://static.cregis.io/pic/coin/USDT-BNB%[email protected]",
"token_decimals": 18,
"receive_amount": "0.642951",
"receive_currency": "USDT",
"exchange_rate": "0.1285902181",
"asset_logo": "https://static.cregis.io/pic/coin/tether%[email protected]"
},
{
"payment_address": "TX8GZJfLYPtmzRgd3FoiXuCHbptiQ37NSM",
"token_symbol": "USDT",
"blockchain": "TRON",
"token_name": "USDT-TRC20",
"logo_url": "https://static.cregis.io/pic/coin/[email protected]",
"token_decimals": 6,
"receive_amount": "0.642951",
"receive_currency": "USDT",
"exchange_rate": "0.1285902181",
"asset_logo": "https://static.cregis.io/pic/coin/tether%[email protected]"
}
],
"order_details": {
"items": [
{
"item_id": "1",
"item_name": "Product1",
"item_price": 123,
"price_currency": "HKD",
"item_quantity": 1
},
{
"item_id": "1",
"item_name": "Product2",
"item_price": 124,
"price_currency": "HKD",
"item_quantity": 1
}
],
"shopping_cost": 10.88,
"tax_cost": 100
},
"settlement_status": "unsettled",
"settlement_type": "",
"sub_merchant": {
"sub_merchant_id": "123",
"sub_merchant_name": "kg"
}
}
}

